Bug 1454383 - Unable to collect inventory for 40,000 container images, results in kubeclient timeout
Summary: Unable to collect inventory for 40,000 container images, results in kubeclien...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.7.3
Assignee: Beni Paskin-Cherniavsky
QA Contact: Einat Pacifici
URL:
Whiteboard: container
Depends On: 1440950
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-22 15:10 UTC by Satoe Imaishi
Modified: 2020-06-11 13:51 UTC (History)
7 users (show)

Fixed In Version: 5.7.3.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1440950
Environment:
Last Closed: 2017-06-28 15:03:41 UTC
Category: ---
Cloudforms Team: Container Management
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1601 0 normal SHIPPED_LIVE Important: CFME 5.7.3 security, bug fix and enhancement update 2017-06-28 18:51:52 UTC

Comment 2 Beni Paskin-Cherniavsky 2017-06-19 12:34:46 UTC
For the commit record, this was backported to euwe via
https://github.com/ManageIQ/manageiq/pull/15188:

    - Backport ManageIQ/manageiq-gems-pending#156
      bump kubeclient ~> 2.4.0
      (ported from manageiq-gems-pending.gemspec to gems/pending/Gemfile)

    - Merge ManageIQ/manageiq-providers-kubernetes#10
      kubernetes_connect: add timeout settings
      (cherry picked from merge commit ManageIQ/manageiq-providers-kubernetes@1ee90b5)

    - openshift_connect: use kubernetes timeout settings
      (cherry picked from unmerged ManageIQ/manageiq-providers-openshift#8 -
      unnecessary on master but required in backports)

Comment 4 errata-xmlrpc 2017-06-28 15:03:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1601


Note You need to log in before you can comment on or make changes to this bug.